package de.ivu.elect.business.veranstaltung.control;

import de.ivu.elect.business.exchange.control.AbstractWahlParameterDateienImportierenFormatResolver;
import de.ivu.elect.business.wahl.entity.WahlParameterWerte;


import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_CSV_ANFUEHRUNGSZEICHEN;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_CSV_ANZAHL_KOPFZEILEN;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_CSV_TRENNZEICHEN;
import static de.ivu.elect.business.wahl.entity.WahlParameterWerte.VERANSTALTUNG_IMPORT_CSV_ZEICHENSATZ;

/**
 *  on 05.01.2017.
 * abgeleitete Klasse mit @Stateless annotieren
 */
public abstract class VeranstaltungImportFormatResolver extends AbstractWahlParameterDateienImportierenFormatResolver {

  @Override
  protected WahlParameterWerte getCsvAnfuehrungszeichenKonfig() {
    return VERANSTALTUNG_IMPORT_CSV_ANFUEHRUNGSZEICHEN;
  }

  @Override
  protected WahlParameterWerte getCsvTrennzeichenKonfig() {
    return VERANSTALTUNG_IMPORT_CSV_TRENNZEICHEN;
  }

  @Override
  protected WahlParameterWerte getCsvAnzahlKopfzeilenKonfig() {
    return VERANSTALTUNG_IMPORT_CSV_ANZAHL_KOPFZEILEN;
  }

  @Override
  protected WahlParameterWerte getCsvZeichensatzKonfig() {
    return VERANSTALTUNG_IMPORT_CSV_ZEICHENSATZ;
  }

}
